%define upstream_name    Net-LDAP-Server-Test
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test Net::LDAP code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Net::LDAP::Server) >= 0.300.0
BuildRequires: perl(Net::LDAP::SID)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Now you can test your Net::LDAP code without having a real LDAP server
available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.220.0-5.mga9
+ Revision: 1809927
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-4.mga8
+ Revision: 1505569
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.220.0-3.mga7
+ Revision: 1285131
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.220.0-2.mga7
+ Revision: 1165860
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.220.0-1.mga7
+ Revision: 1157307
- new version 0.22

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-6.mga6
+ Revision: 1031150
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.190.0-5.mga6
+ Revision: 940987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 750139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 685682
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 525865
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.190.0-1.mga4
+ Revision: 434782
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 315196
- update to 0.16

* Wed Sep 26 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 298080
- update to 0.15

* Fri Aug 31 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 286343
- update to 0.14

* Tue Jun 05 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 255188
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 213101
- update to 0.12

* Wed Jun 15 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 107209
- update to 0.11

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 36438
- mageia rebuild
- imported package perl-Net-LDAP-Server-Test


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 552461
- update to 0.10

* Thu Feb 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.1
+ Revision: 507586
- update to 0.09

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 421874
- adding missing buildrequires:
- update to 0.08

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 408967
- rebuild using %%perl_convert_version

* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 0.07-1mdv2010.0
+ Revision: 397927
- import perl-Net-LDAP-Server-Test


* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 0.07-1mdv
- initial mdv release, generated with cpan2dist

